curl --request POST \
--url https://services.leadconnectorhq.com/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
'{
"success": true,
"conversation": {
"id": "tDtDnQdgm2LXpyiqYvZ6",
"dateUpdated": "2023-10-01T12:00:00Z",
"dateAdded": "2023-10-01T12:00:00Z",
"deleted": false,
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"lastMessageDate": "2023-10-01T12:00:00Z",
"assignedTo": "ve9EPM428kjkvShlRW1KT"
}
}Creates a new conversation with the data provided
curl --request POST \
--url https://services.leadconnectorhq.com/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6"
}
'{
"success": true,
"conversation": {
"id": "tDtDnQdgm2LXpyiqYvZ6",
"dateUpdated": "2023-10-01T12:00:00Z",
"dateAdded": "2023-10-01T12:00:00Z",
"deleted": false,
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"lastMessageDate": "2023-10-01T12:00:00Z",
"assignedTo": "ve9EPM428kjkvShlRW1KT"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Was this page helpful?